/*
 * Class REPEATABLE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_538 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_538 [] = {0xFF01,1551,537,0xFFFF};
static const EIF_TYPE_INDEX egt_2_538 [] = {0xFF01,537,0xFFFF};
static const EIF_TYPE_INDEX egt_3_538 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_538 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_538 [] = {0xFF01,537,0xFFFF};
static const EIF_TYPE_INDEX egt_6_538 [] = {0xFF01,537,0xFFFF};
static const EIF_TYPE_INDEX egt_7_538 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_538 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_538 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_538 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_538 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_538 [] = {0xFF01,537,0xFFFF};
static const EIF_TYPE_INDEX egt_13_538 [] = {0xFF01,537,0xFFFF};
static const EIF_TYPE_INDEX egt_14_538 [] = {0xFF01,537,0xFFFF};


static const struct desc_info desc_538[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_538), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_538), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_538), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_538), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_538), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_538), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_538), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_538), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_538), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_538), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_538), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_538), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0433 /*537*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_538), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_538), 8548, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_538), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8549, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8550, 0xFFFFFFFF},
};
void Init538(void)
{
	IDSC(desc_538, 0, 537);
	IDSC(desc_538 + 1, 1, 537);
	IDSC(desc_538 + 32, 1449, 537);
	IDSC(desc_538 + 36, 856, 537);
}


#ifdef __cplusplus
}
#endif
